Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire
Class OfflineMessageStrategy

    java.lang.Object
      org.jivesoftware.openfire.container.BasicModule
          org.jivesoftware.openfire.OfflineMessageStrategy

All Implemented Interfaces:
  Module

    public class OfflineMessageStrategy

extends BasicModule

Controls what is done with offline messages.

Author:
  Iain Shigeoka

Nested Class Summary
`static class` | `OfflineMessageStrategy.Type` Strategy types.

Constructor Summary
`OfflineMessageStrategy()`

Method Summary
`static void` | `addListener(OfflineMessageListener listener)` Registers a listener to receive events.
`int` | `getQuota()`
`OfflineMessageStrategy.Type` | `getType()`
`void` | `initialize(XMPPServer server)` Initializes the basic module.
`static void` | `removeListener(OfflineMessageListener listener)` Unregisters a listener to receive events.
`void` | `setQuota(int quota)`
`void` | `setType(OfflineMessageStrategy.Type type)`
`void` | `storeOffline(org.xmpp.packet.Message message)`

Methods inherited from class org.jivesoftware.openfire.container.BasicModule
`destroy, getName, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OfflineMessageStrategy

    public OfflineMessageStrategy()

Method Detail

### getQuota

    public int getQuota()

### setQuota

    public void setQuota(int quota)

### getType

    public OfflineMessageStrategy.Type getType()

### setType

    public void setType(OfflineMessageStrategy.Type type)

### storeOffline

    public void storeOffline(org.xmpp.packet.Message message)

### addListener

    public static void addListener(OfflineMessageListener listener)

  Registers a listener to receive events.

  Parameters:
    `listener` - the listener.

### removeListener

    public static void removeListener(OfflineMessageListener listener)

  Unregisters a listener to receive events.

  Parameters:
    `listener` - the listener.

### initialize

    public void initialize(XMPPServer server)

  Description copied from class: `BasicModule`

  Initializes the basic module.

  Inheriting classes that choose to override this method MUST call this initialize() method before accessing BasicModule resources.

  Specified by:
    `initialize` in interface `Module`
  Overrides:
    `initialize` in class `BasicModule`
  Parameters:
    `server` - the server hosting this module.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.